name: RGB5050
description: diode, LED, RGB, individual, 5.0x5.0mm
distributor: LCSC C784540

# there is no generic pinout, each part has a different one
pinout:
  ANODE:
    RA: 5
    GA: 4
    BA: 6
  CATHODE:
    RC: 2
    GC: 3
    BC: 1

properties:
  passive: ANODE, CATHODE

schematic:
  symbol: IC
  left: ANODE
  right: CATHODE

housing:
  pattern: custom
  options: polarized
  bodyLength: 5.0
  bodyWidth: 5.0
  height: 1.6
  silkscreen: M -2.6 -2.6 -3.3 -2.6 -3.3 -2.1

  padWidth: 1.6
  padHeight: 1.2
  columnCount: 2
  rowCount: 3
  numbers: 1,6,2,5,3,4 # CCW numbering
  horizontalPitch: 4.0
  verticalPitch: 1.5
